Index: plugins/widgets/_public.php
===================================================================
--- plugins/widgets/_public.php	(revision 3731)
+++ plugins/widgets/_public.php	(revision 3874)
@@ -15,7 +15,7 @@
 require_once dirname(__FILE__) . '/_widgets_functions.php';
 
-$core->tpl->addValue('Widgets', array('publicWidgets', 'tplWidgets'));
-$core->tpl->addBlock('Widget', array('publicWidgets', 'tplWidget'));
-$core->tpl->addBlock('IfWidgets', array('publicWidgets', 'tplIfWidgets'));
+$core->tpl->addValue('Widgets', ['publicWidgets', 'tplWidgets']);
+$core->tpl->addBlock('Widget', ['publicWidgets', 'tplWidget']);
+$core->tpl->addBlock('IfWidgets', ['publicWidgets', 'tplIfWidgets']);
 
 class publicWidgets
@@ -33,5 +33,5 @@
             "   publicWidgets::widgetsHandler('custom','" . addslashes($disable) . "');" . "\n";
         } else {
-            if (!in_array($type, array('nav', 'extra', 'custom'))) {
+            if (!in_array($type, ['nav', 'extra', 'custom'])) {
                 $type = 'nav';
             }
@@ -83,5 +83,5 @@
             "   publicWidgets::ifWidgetsHandler('custom','" . addslashes($disable) . "')" . "\n";
         } else {
-            if (!in_array($type, array('nav', 'extra', 'custom'))) {
+            if (!in_array($type, ['nav', 'extra', 'custom'])) {
                 $type = 'nav';
             }
@@ -164,5 +164,5 @@
                 $text = $e;
             }
-            $w->{$setting} = preg_replace_callback('/\{tpl:lang (.*?)\}/msu', array('self', 'widgetL10nHandler'), $text);
+            $w->{$setting} = preg_replace_callback('/\{tpl:lang (.*?)\}/msu', ['self', 'widgetL10nHandler'], $text);
         }
 
Index: plugins/widgets/_widgets_functions.php
===================================================================
--- plugins/widgets/_widgets_functions.php	(revision 3751)
+++ plugins/widgets/_widgets_functions.php	(revision 3874)
@@ -91,5 +91,5 @@
         }
 
-        $rs = $core->blog->getCategories(array('post_type' => 'post', 'without_empty' => !$w->with_empty));
+        $rs = $core->blog->getCategories(['post_type' => 'post', 'without_empty' => !$w->with_empty]);
         if ($rs->isEmpty()) {
             return;
@@ -145,9 +145,9 @@
         }
 
-        $params = array(
+        $params = [
             'post_selected' => true,
             'no_content'    => true,
             'order'         => 'post_dt ' . strtoupper($w->orderby)
-        );
+        ];
 
         $rs = $core->blog->getPosts($params);
Index: plugins/widgets/class.widgets.php
===================================================================
--- plugins/widgets/class.widgets.php	(revision 3731)
+++ plugins/widgets/class.widgets.php	(revision 3874)
@@ -14,5 +14,5 @@
 class dcWidgets
 {
-    private $__widgets = array();
+    private $__widgets = [];
 
     public static function load($s)
@@ -29,5 +29,5 @@
     public function store()
     {
-        $serialized = array();
+        $serialized = [];
         foreach ($this->__widgets as $pos => $w) {
             $serialized[] = ($w->serialize($pos));
@@ -60,5 +60,5 @@
     {
         if ($sorted) {
-            uasort($this->__widgets, array('self', 'sort'));
+            uasort($this->__widgets, ['self', 'sort']);
         }
         return $this->__widgets;
@@ -88,5 +88,5 @@
         }
 
-        uasort($A, array('self', 'arraySort'));
+        uasort($A, ['self', 'arraySort']);
 
         $result = new self;
@@ -135,9 +135,9 @@
     private $public_callback = null;
     public $append_callback  = null;
-    private $settings        = array();
+    private $settings        = [];
 
     public function serialize($order)
     {
-        $values = array();
+        $values = [];
         foreach ($this->settings as $k => $v) {
             $values[$k] = $v['value'];
@@ -274,14 +274,22 @@
                 return false;
             }
-        }
-
-        $this->settings[$name] = array(
+            // If any, the 5th argument should be an array (key → value) of opts
+            $opts = @func_get_arg(5);
+        } else {
+            // If any, the 4th argument should be an array (key → value) of opts
+            $opts = @func_get_arg(4);
+        }
+
+        $this->settings[$name] = [
             'title' => $title,
             'type'  => $type,
             'value' => $value
-        );
+        ];
 
         if (isset($options)) {
             $this->settings[$name]['options'] = $options;
+        }
+        if (isset($opt)) {
+            $this->settings[$name]['opts'] = $opts;
         }
     }
@@ -308,9 +316,10 @@
         $wfid  = "wf-" . $i;
         $iname = $pr ? $pr . '[' . $id . ']' : $id;
+        $class = (isset($s['opts']) && isset($s['opts']['class']) ? ' ' . $s['opts']['class'] : '');
         switch ($s['type']) {
             case 'text':
                 $res .=
                 '<p><label for="' . $wfid . '">' . $s['title'] . '</label> ' .
-                form::field(array($iname, $wfid), 20, 255, html::escapeHTML($s['value']), 'maximal') .
+                form::field([$iname, $wfid], 20, 255, html::escapeHTML($s['value']), 'maximal' . $class) .
                     '</p>';
                 break;
@@ -318,12 +327,12 @@
                 $res .=
                 '<p><label for="' . $wfid . '">' . $s['title'] . '</label> ' .
-                form::textarea(array($iname, $wfid), 30, 8, html::escapeHTML($s['value']), 'maximal') .
+                form::textarea([$iname, $wfid], 30, 8, html::escapeHTML($s['value']), 'maximal' . $class) .
                     '</p>';
                 break;
             case 'check':
                 $res .=
-                '<p>' . form::hidden(array($iname), '0') .
+                '<p>' . form::hidden([$iname], '0') .
                 '<label class="classic" for="' . $wfid . '">' .
-                form::checkbox(array($iname, $wfid), '1', $s['value']) . ' ' . $s['title'] .
+                form::checkbox([$iname, $wfid], '1', $s['value'], $class) . ' ' . $s['title'] .
                     '</label></p>';
                 break;
@@ -335,5 +344,5 @@
                         $res .=
                         '<label class="classic" for="' . $wfid . '-' . $k . '">' .
-                        form::radio(array($iname, $wfid . '-' . $k), $v[1], $s['value'] == $v[1]) . ' ' . $v[0] .
+                        form::radio([$iname, $wfid . '-' . $k], $v[1], $s['value'] == $v[1], $class) . ' ' . $v[0] .
                             '</label>';
                     }
@@ -344,5 +353,5 @@
                 $res .=
                 '<p><label for="' . $wfid . '">' . $s['title'] . '</label> ' .
-                form::combo(array($iname, $wfid), $s['options'], $s['value']) .
+                form::combo([$iname, $wfid], $s['options'], $s['value'], $class) .
                     '</p>';
                 break;
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 3731)
+++ plugins/widgets/index.php	(revision 3874)
@@ -28,10 +28,10 @@
 }
 
-$append_combo = array(
+$append_combo = [
     '-'              => 0,
     __('navigation') => 'nav',
     __('extra')      => 'extra',
     __('custom')     => 'custom'
-);
+];
 
 function literalNullString($v)
@@ -46,5 +46,5 @@
 if (!empty($_POST['append']) && is_array($_POST['addw'])) {
     # Filter selection
-    $addw = array();
+    $addw = [];
     foreach ($_POST['addw'] as $k => $v) {
         if (($v == 'extra' || $v == 'nav' || $v == 'custom') && $__widgets->{$k} !== null) {
@@ -144,5 +144,5 @@
 if (!empty($_POST['wup']) || $removing || $move) {
     if (!isset($_POST['w']) || !is_array($_POST['w'])) {
-        $_POST['w'] = array();
+        $_POST['w'] = [];
     }
 
@@ -160,11 +160,11 @@
 
         if (!isset($_POST['w']['nav'])) {
-            $_POST['w']['nav'] = array();
+            $_POST['w']['nav'] = [];
         }
         if (!isset($_POST['w']['extra'])) {
-            $_POST['w']['extra'] = array();
+            $_POST['w']['extra'] = [];
         }
         if (!isset($_POST['w']['custom'])) {
-            $_POST['w']['custom'] = array();
+            $_POST['w']['custom'] = [];
         }
 
@@ -214,5 +214,5 @@
     echo dcPage::jsLoad(dcPage::getPF('widgets/js/dragdrop.js'));
 }
-echo dcPage::jsVars(array('dotclear.msg.confirm_widgets_reset' => __('Are you sure you want to reset sidebars?')));
+echo dcPage::jsVars(['dotclear.msg.confirm_widgets_reset' => __('Are you sure you want to reset sidebars?')]);
 
 $widget_editor = $core->auth->getOption('editor');
@@ -223,5 +223,9 @@
 }
 if ($rte_flag) {
-    echo $core->callBehavior('adminPostEditor', $widget_editor['xhtml'], 'widget', array('#sidebarsWidgets textarea'), 'xhtml');
+    echo dcPage::jsVars(['dotclear.widget_noeditor' => 0]);
+    echo $core->callBehavior('adminPostEditor', $widget_editor['xhtml'], 'widget',
+        ['#sidebarsWidgets textarea:not(.noeditor)'], 'xhtml');
+} else {
+    echo dcPage::jsVars(['dotclear.widget_noeditor' => 1]);
 }
 echo (dcPage::jsConfirmClose('sidebarsWidgets'));
@@ -231,8 +235,8 @@
 <?php
 echo dcPage::breadcrumb(
-    array(
+    [
         html::escapeHTML($core->blog->name) => '',
         __('Widgets')                       => ''
-    )) .
+    ]) .
 dcPage::notices();
 
@@ -247,14 +251,14 @@
 foreach ($__widgets->elements(true) as $w) {
     echo
-    '<li>' . form::hidden(array('w[void][0][id]'), html::escapeHTML($w->id())) .
-    '<p class="widget-name">' . form::number(array('w[void][0][order]'), array(
+    '<li>' . form::hidden(['w[void][0][id]'], html::escapeHTML($w->id())) .
+    '<p class="widget-name">' . form::number(['w[void][0][order]'], [
         'default'    => 0,
         'class'      => 'hide',
         'extra_html' => 'title="' . __('order') . '"'
-    )) .
+    ]) .
     ' ' . $w->name() .
     ($w->desc() != '' ? ' <span class="form-note">' . __($w->desc()) . '</span>' : '') . '</p>' .
     '<p class="manual-move remove-if-drag"><label class="classic">' . __('Append to:') . '</label> ' .
-    form::combo(array('addw[' . $w->id() . ']'), $append_combo) .
+    form::combo(['addw[' . $w->id() . ']'], $append_combo) .
     '<input type="submit" name="append[' . $w->id() . ']" value="' . __('Add') . '" /></p>' .
     '<div class="widgetSettings hidden-if-drag">' . $w->formSettings('w[void][0]', $j) . '</div>' .
@@ -361,10 +365,10 @@
 
         $res .=
-        '<li>' . form::hidden(array($iname . '[id]'), html::escapeHTML($w->id())) .
-        '<p class="widget-name">' . form::number(array($iname . '[order]'), array(
+        '<li>' . form::hidden([$iname . '[id]'], html::escapeHTML($w->id())) .
+        '<p class="widget-name">' . form::number([$iname . '[order]'], [
             'default'    => $i,
             'class'      => 'hidden',
             'extra_html' => 'title="' . __('order') . '"'
-        )) .
+        ]) .
         ' ' . $w->name() .
         ($w->desc() != '' ? ' <span class="form-note">' . __($w->desc()) . '</span>' : '') .
Index: plugins/widgets/js/dragdrop.js
===================================================================
--- plugins/widgets/js/dragdrop.js	(revision 3709)
+++ plugins/widgets/js/dragdrop.js	(revision 3880)
@@ -1,3 +1,3 @@
-/*global $, reorder, dotclear */
+/*global $, reorder, dotclear, jsToolBar */
 'use strict';
 
@@ -23,7 +23,7 @@
     },
     update: function(event, ui) {
-      var ul = $(this);
-      var widget = ui.item;
-      var field = ul.parents('.widgets');
+      const ul = $(this);
+      const widget = ui.item;
+      const field = ul.parents('.widgets');
 
       // met a zéro le décalage
@@ -71,4 +71,14 @@
         'width': $('#widgets-ref > li').css('width')
       });
+    },
+    stop: function(event, ui) {
+      if (!dotclear.widget_noeditor) {
+        ui.helper.find('textarea:not(.noeditor)').each(function() {
+          if ($.isFunction(jsToolBar)) {
+            const tbWidgetText = new jsToolBar(this);
+            tbWidgetText.draw('xhtml');
+          }
+        });
+      }
     }
   });
Index: plugins/widgets/js/widgets.js
===================================================================
--- plugins/widgets/js/widgets.js	(revision 3845)
+++ plugins/widgets/js/widgets.js	(revision 3880)
@@ -4,19 +4,19 @@
 dotclear.postExpander = function(line) {
 
-  var title = $(line).find('.widget-name');
+  const title = $(line).find('.widget-name');
   title.find('.form-note').remove();
 
-  var order = title.find('input[name*=order]');
-  var link = $('<a href="#" alt="expand" class="aexpand"/>').append(title.text());
-  var tools = title.find('.toolsWidget');
-  var br = title.find('br');
+  const order = title.find('input[name*=order]');
+  const link = $('<a href="#" alt="expand" class="aexpand"/>').append(title.text());
+  const tools = title.find('.toolsWidget');
+  const br = title.find('br');
   title.empty().append(order).append(link).append(tools).append(br);
 
-  var b = document.createElement('button');
+  const b = document.createElement('button');
   b.setAttribute('type', 'button');
   b.className = 'details-cmd';
   b.value = dotclear.img_plus_txt;
   b.setAttribute('aria-label', dotclear.img_plus_alt);
-  var t = document.createTextNode(dotclear.img_plus_txt);
+  const t = document.createTextNode(dotclear.img_plus_txt);
   b.appendChild(t);
   b.onclick = function(e) {
@@ -33,6 +33,6 @@
 dotclear.viewPostContent = function(line, action) {
   action = action || 'toogle';
-  var img = line.find('.details-cmd');
-  var isopen = img.attr('aria-label') == dotclear.img_plus_alt;
+  const img = line.find('.details-cmd');
+  const isopen = img.attr('aria-label') == dotclear.img_plus_alt;
 
   if (action == 'close' || (action == 'toogle' && !isopen)) {
@@ -53,10 +53,10 @@
   // réordonne
   if (ul.attr('id')) {
-    var $list = ul.find('li').not('.empty-widgets');
+    const $list = ul.find('li').not('.empty-widgets');
     $list.each(function(i) {
-      var $this = $(this);
+      const $this = $(this);
 
       // trouve la zone de réception
-      var name = ul.attr('id').split('dnd').join('');
+      const name = ul.attr('id').split('dnd').join('');
 
       // modifie le name en conséquence
@@ -112,21 +112,19 @@
   $('input[name*=_down]').click(function(e) {
     e.preventDefault();
-    var $this = $(this);
-    var $li = $this.parents('li');
+    const $li = $(this).parents('li');
     $li.next().after($li);
-    reorder($this.parents('ul.connected'));
+    reorder($(this).parents('ul.connected'));
   });
   $('input[name*=_up]').click(function(e) {
     e.preventDefault();
-    var $this = $(this);
-    var $li = $this.parents('li');
+    const $li = $(this).parents('li');
     $li.prev().before($li);
-    reorder($this.parents('ul.connected'));
+    reorder($(this).parents('ul.connected'));
   });
 
   // HTML text editor
   if ($.isFunction(jsToolBar)) {
-    $('#sidebarsWidgets textarea').each(function() {
-      var tbWidgetText = new jsToolBar(this);
+    $('#sidebarsWidgets textarea:not(.noeditor)').each(function() {
+      let tbWidgetText = new jsToolBar(this);
       tbWidgetText.draw('xhtml');
     });
Index: tests/unit/bootstrap.php
===================================================================
--- tests/unit/bootstrap.php	(revision 3064)
+++ tests/unit/bootstrap.php	(revision 3874)
@@ -11,21 +11,21 @@
 # -- END LICENSE BLOCK -----------------------------------------
 
-require_once __DIR__.'/../../vendor/autoload.php';
+require_once __DIR__ . '/../../vendor/autoload.php';
 
-define('CLEARBRICKS_PATH',__DIR__.'/../../inc/libs/clearbricks');
+define('CLEARBRICKS_PATH', __DIR__ . '/../../inc/libs/clearbricks');
 
-$__autoload = array();
-$__autoload['dbLayer'] = CLEARBRICKS_PATH.'/dblayer/dblayer.php';
-$__autoload['staticRecord'] = CLEARBRICKS_PATH.'/dblayer/dblayer.php';
-$__autoload['sqliteConnection'] = CLEARBRICKS_PATH.'/dblayer/class.sqlite.php';
-$__autoload['mysqlConnection'] = CLEARBRICKS_PATH.'/dblayer/class.mysql.php';
-$__autoload['mysqliConnection'] = CLEARBRICKS_PATH.'/dblayer/class.mysqli.php';
-$__autoload['pgsqlConnection'] = CLEARBRICKS_PATH.'/dblayer/class.pgsql.php';
-$__autoload['record'] = CLEARBRICKS_PATH.'/dblayer/dblayer.php';
-$__autoload['template'] = CLEARBRICKS_PATH.'/template/class.template.php';
-$__autoload['path'] = CLEARBRICKS_PATH.'/common/lib.files.php';
+$__autoload                     = [];
+$__autoload['dbLayer']          = CLEARBRICKS_PATH . '/dblayer/dblayer.php';
+$__autoload['staticRecord']     = CLEARBRICKS_PATH . '/dblayer/dblayer.php';
+$__autoload['sqliteConnection'] = CLEARBRICKS_PATH . '/dblayer/class.sqlite.php';
+$__autoload['mysqlConnection']  = CLEARBRICKS_PATH . '/dblayer/class.mysql.php';
+$__autoload['mysqliConnection'] = CLEARBRICKS_PATH . '/dblayer/class.mysqli.php';
+$__autoload['pgsqlConnection']  = CLEARBRICKS_PATH . '/dblayer/class.pgsql.php';
+$__autoload['record']           = CLEARBRICKS_PATH . '/dblayer/dblayer.php';
+$__autoload['template']         = CLEARBRICKS_PATH . '/template/class.template.php';
+$__autoload['path']             = CLEARBRICKS_PATH . '/common/lib.files.php';
 
-$__autoload['dcCore'] = __DIR__.'/../../inc/core/class.dc.core.php';
-$__autoload['dcNamespace'] = __DIR__.'/../../inc/core/class.dc.namespace.php';
+$__autoload['dcCore']      = __DIR__ . '/../../inc/core/class.dc.core.php';
+$__autoload['dcNamespace'] = __DIR__ . '/../../inc/core/class.dc.namespace.php';
 
 $loader = new \Composer\Autoload\ClassLoader();
@@ -33,5 +33,6 @@
 $loader->register();
 
-function __($s) {
+function __($s)
+{
     return $s;
 }
Index: tests/unit/inc/core/class.dc.core.php
===================================================================
--- tests/unit/inc/core/class.dc.core.php	(revision 2999)
+++ tests/unit/inc/core/class.dc.core.php	(revision 3874)
@@ -15,7 +15,7 @@
 use atoum;
 
-require_once __DIR__.'/../../bootstrap.php';
-$f = str_replace('\\','/',__FILE__);
-require_once(str_replace('tests/unit/','',$f));
+require_once __DIR__ . '/../../bootstrap.php';
+$f = str_replace('\\', '/', __FILE__);
+require_once str_replace('tests/unit/', '', $f);
 
 class dcCore extends atoum
@@ -23,92 +23,98 @@
     private $prefix = 'dc_';
 
-	private function getConnection($driver) {
-		$controller = new \atoum\mock\controller();
-		$controller->__construct = function() {};
+    private function getConnection($driver)
+    {
+        $controller              = new \atoum\mock\controller();
+        $controller->__construct = function () {};
 
-		$class_name = sprintf('\mock\%sConnection',$driver);
-		$con = new $class_name($driver,$controller);
-		$this->calling($con)->driver = $driver;
-		$this->calling($con)->escape = function($s) { // just for order, so don't care
+        $class_name                  = sprintf('\mock\%sConnection', $driver);
+        $con                         = new $class_name($driver, $controller);
+        $this->calling($con)->driver = $driver;
+        $this->calling($con)->escape = function ($s) {
+            // just for order, so don't care
             return $s;
         };
-		$this->calling($con)->select = function($sql) {
-            return new \staticRecord(array(),array());
+        $this->calling($con)->select = function ($sql) {
+            return new \staticRecord([], []);
         };
 
-		return $con;
-	}
+        return $con;
+    }
 
-    public function testGetUsers($driver) {
+    public function testGetUsers($driver)
+    {
         $con = $this->getConnection($driver);
 
-        $controller = new \atoum\mock\controller();
-        $controller->__construct = function() {};
+        $controller              = new \atoum\mock\controller();
+        $controller->__construct = function () {};
 
         $query = 'SELECT U.user_id,user_super,user_status,user_pwd,user_change_pwd,user_name,user_firstname,user_displayname,user_email,user_url,user_desc, user_lang,user_tz, user_post_status,user_options, count(P.post_id) AS nb_post FROM user U LEFT JOIN post P ON U.user_id = P.user_id WHERE NULL IS NULL GROUP BY U.user_id,user_super,user_status,user_pwd,user_change_pwd,user_name,user_firstname,user_displayname,user_email,user_url,user_desc, user_lang,user_tz,user_post_status,user_options ORDER BY U.user_id ASC ';
 
-        $core = new \mock\dcCore(null,null,null,null,null,null,null,$controller);
+        $core      = new \mock\dcCore(null, null, null, null, null, null, null, $controller);
         $core->con = $con;
         $this
-			->if($core->getUsers())
+            ->if($core->getUsers())
             ->then()
-				  ->mock($con)->call('select')
-				  ->withIdenticalArguments($query)
-				  ->once();
+            ->mock($con)->call('select')
+            ->withIdenticalArguments($query)
+            ->once();
     }
 
-    public function testGetUsersWithParams($driver,$params,$query) {
+    public function testGetUsersWithParams($driver, $params, $query)
+    {
         $con = $this->getConnection($driver);
 
-        $controller = new \atoum\mock\controller();
-        $controller->__construct = function() {};
+        $controller              = new \atoum\mock\controller();
+        $controller->__construct = function () {};
 
-        $core = new \mock\dcCore(null,null,null,null,null,null,null,$controller);
+        $core      = new \mock\dcCore(null, null, null, null, null, null, null, $controller);
         $core->con = $con;
 
         $this
-			->if($core->getUsers($params))
+            ->if($core->getUsers($params))
             ->then()
-				  ->mock($con)->call('select')
-				  ->withIdenticalArguments($query)
-				  ->once();
+            ->mock($con)->call('select')
+            ->withIdenticalArguments($query)
+            ->once();
     }
 
     /*
      * DataProviders
-    **/
-    protected function testGetUsersDataProvider() {
-        $query = array();
+     **/
+    protected function testGetUsersDataProvider()
+    {
+        $query = [];
 
-        return array(
-			array('pgsql'),
-			array('sqlite'),
-			array('mysql'),
-			array('mysqli'),
-		);
+        return [
+            ['pgsql'],
+            ['sqlite'],
+            ['mysql'],
+            ['mysqli']
+        ];
     }
 
-    protected function testGetUsersWithParamsDataProvider() {
+    protected function testGetUsersWithParamsDataProvider()
+    {
         $base_query = 'SELECT U.user_id,user_super,user_status,user_pwd,user_change_pwd,user_name,user_firstname,user_displayname,user_email,user_url,user_desc, user_lang,user_tz, user_post_status,user_options, count(P.post_id) AS nb_post FROM user U LEFT JOIN post P ON U.user_id = P.user_id WHERE NULL IS NULL GROUP BY U.user_id,user_super,user_status,user_pwd,user_change_pwd,user_name,user_firstname,user_displayname,user_email,user_url,user_desc, user_lang,user_tz,user_post_status,user_options ORDER BY ';
 
-        return array(
-			array('pgsql',array('order' => 'user_id asc'),$base_query.'U.user_id asc '),
-			array('pgsql',array('order' => 'U.user_id asc'),$base_query.'U.user_id asc '),
-			array('mysql',array('order' => 'user_id asc'),$base_query.'U.user_id asc '),
-			array('mysql',array('order' => 'U.user_id asc'),$base_query.'U.user_id asc '),
-			array('mysqli',array('order' => 'user_id asc'),$base_query.'U.user_id asc '),
-			array('mysqli',array('order' => 'U.user_id asc'),$base_query.'U.user_id asc '),
-			array('sqlite',array('order' => 'user_id asc'),$base_query.'U.user_id asc '),
-			array('sqlite',array('order' => 'U.user_id asc'),$base_query.'U.user_id asc '),
+        return [
+            ['pgsql', ['order' => 'user_id asc'], $base_query . 'U.user_id asc '],
+            ['pgsql', ['order' => 'U.user_id asc'], $base_query . 'U.user_id asc '],
+            ['mysql', ['order' => 'user_id asc'], $base_query . 'U.user_id asc '],
+            ['mysql', ['order' => 'U.user_id asc'], $base_query . 'U.user_id asc '],
+            ['mysqli', ['order' => 'user_id asc'], $base_query . 'U.user_id asc '],
+            ['mysqli', ['order' => 'U.user_id asc'], $base_query . 'U.user_id asc '],
+            ['sqlite', ['order' => 'user_id asc'], $base_query . 'U.user_id asc '],
+            ['sqlite', ['order' => 'U.user_id asc'], $base_query . 'U.user_id asc '],
 
-            array('pgsql',array('order' => 'nb_post desc'),$base_query.'P.nb_post desc '),
-			array('pgsql',array('order' => 'P.nb_post desc'),$base_query.'P.nb_post desc '),
-			array('mysql',array('order' => 'nb_post desc'),$base_query.'P.nb_post desc '),
-			array('mysql',array('order' => 'P.nb_post desc'),$base_query.'P.nb_post desc '),
-			array('mysqli',array('order' => 'nb_post desc'),$base_query.'P.nb_post desc '),
-			array('mysqli',array('order' => 'P.nb_post desc'),$base_query.'P.nb_post desc '),
-			array('sqlite',array('order' => 'nb_post desc'),$base_query.'P.nb_post desc '),
-			array('sqlite',array('order' => 'P.nb_post desc'),$base_query.'P.nb_post desc '),
-		);
+            ['pgsql', ['order' => 'nb_post desc'], $base_query . 'P.nb_post desc '],
+            ['pgsql', ['order' => 'P.nb_post desc'], $base_query . 'P.nb_post desc '],
+            ['mysql', ['order' => 'nb_post desc'], $base_query . 'P.nb_post desc '],
+            ['mysql', ['order' => 'P.nb_post desc'], $base_query . 'P.nb_post desc '],
+            ['mysqli', ['order' => 'nb_post desc'], $base_query . 'P.nb_post desc '],
+            ['mysqli', ['order' => 'P.nb_post desc'], $base_query . 'P.nb_post desc '],
+            ['sqlite', ['order' => 'nb_post desc'], $base_query . 'P.nb_post desc '],
+            ['sqlite', ['order' => 'P.nb_post desc'], $base_query . 'P.nb_post desc ']
+        ];
     }
 }
